---
page_title: Get Bank Account [Deprecated]
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/get-bank-account-deprecated
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fget-bank-account-deprecated
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Get bank account [Deprecated]



undefined## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/bank-accounts/{bank_account_id}

- Production: https://api.juspay.in/customers/{customer_id}/bank-accounts/{bank_account_id}

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X GET \
  https://api.juspay.in/customers/cst_weoridsfdkl/bank-accounts/bank_woeriusdfk \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -u your_api_key:

```

### Sample Response:

#### Response:
```json
{
  "object": "bank_account",
  "id": "bank_woeriusdfk",
  "customer_id": "cst_weoriudfjks",
  "date_created": "2019-12-24T14:40:23Z",
  "bank_name": "HDFC Bank",
  "ifsc": "HDFC092343",
  "account_number": "40002323422",
  "beneficiary_name": "test",
  "validation_amount": 1,
  "currency": "INR",
  "validation_status": "PENDING",
  "last_validated": null,
  "metadata": {
    "param1": "value1",
    "param2": "value2"
  }
}
```

## Path Parameters:

#### customer_id:
Customer id
- Value: Example:- cst_weoridsfdkl
- Tags: String, Mandatory

#### bank_account_id:
Bank Account Id
- Value: Example:- bank_woeriusdfk
- Tags: String, Mandatory
## API Responses:
### 200:

#### object:
- Description: bank_account
- Tags: string

#### id:
- Description: bank_woeriusdfk
- Tags: string

#### customer_id:
- Description: cst_weoriudfjks
- Tags: string

#### date_created:
- Description: 2019-12-24T14:40:23Z
- Tags: string

#### bank_name:
- Description: HDFC Bank
- Tags: string

#### ifsc:
- Description: HDFC092343
- Tags: string

#### account_number:
- Description: 40002323422
- Tags: string

#### beneficiary_name:
- Description: test
- Tags: string

#### validation_amount:
- Tags: integer

#### currency:
- Description: INR
- Tags: string

#### validation_status:
- Description: PENDING
- Tags: string

#### last_validated:
- Tags: String

#### metadata:
- Value:
  - **Param1**:
    - Description: value1
    - Tags: string
  - **Param2**:
    - Description: value2
    - Tags: string
- Tags: object


---

## See Also

- [List Bank Accounts [Deprecated]](https://juspay.io/in/docs/api-reference/docs/express-checkout/list-bank-accounts-deprecated)
- [Delete Bank Account [Deprecated]](https://juspay.io/in/docs/api-reference/docs/express-checkout/delete-bank-account-deprecated)
